Subject: Etag-on-write, 5th attempt (== IETF draft 04), was: I-D ACTION:draft-reschke-http-etag-on-write-04.txt

From: Julian Reschke <[email-masked]>
Date: Tue, 28 Nov 2006 11:06:32 +0100

Hi,

(see below for the announcement, and 
<http://greenbytes.de/tech/webdav/draft-reschke-http-etag-on-write-04.html> 
for an HTML version).

This draft tries to address the feedback I received from Wilfredo 
Sanchez Vega. Note that I decided not to extend the draft to cover weak 
entity tags, though (it is compatible with them, but doesn't use them in 
examples).

In the absence of new feedback over the next few days I will submit this 
one to the RFC Editor for publication as Experimental Standard.

Best regards and thanks for the feedback so far,

Julian

[email-masked] schrieb:
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
> 	Title		: The Hypertext Transfer Protocol (HTTP) Entity Tag ("ETag") Response Header in Write Operations
> 	Author(s)	: J. Reschke
> 	Filename	: draft-reschke-http-etag-on-write-04.txt
> 	Pages		: 20
> 	Date		: 2006-11-27
> 	
> The Hypertext Transfer Protocol (HTTP) specifies a state identifier,
>    called "Entity Tag", to be returned in the "ETag" response header.
>    However, the description of this header for write operations such as
>    PUT is incomplete, and has caused confusion among developers and
>    protocol designers, and potentially interoperability problems.
>    This document explains the problem in detail and suggests both a
>    clarification for a revision to the HTTP/1.1 specification (RFC2616)
>    and a new header for use in responses, making HTTP entity tags more
>    useful for user agents that want to avoid round-trips to the server
>    after modifying a resource.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-reschke-http-etag-on-write-04.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of 
> the message. 
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-reschke-http-etag-on-write-04.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-reschke-http-etag-on-write-04.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

---

From: Henrik Nordstrom <[email-masked]>
Date: Wed, 29 Nov 2006 23:26:13 +0100

> <http://greenbytes.de/tech/webdav/draft-reschke-http-etag-on-write-04.html> 

The principles looks very reasonable to me, but I have not checked the
details for spelling, consistency etc.

And it's good that it's not excluding weak etags, even if the current
RFC2616 makes weak etags in this context quite useless (RFC2616 14.24
and it's relatives).

Regards
Henrik